load 'c:\\Users\\pydam\\Documents\\1707 - 1709\\170726 PAPER SOFT MATTER Mechanical paper redrafting\\Supplementary information for DMistry et al\\gnuplot plotting config files\\gnuplot_pdf.gp'
load 'c:\\Users\\pydam\\Documents\\1707 - 1709\\170726 PAPER SOFT MATTER Mechanical paper redrafting\\Supplementary information for DMistry et al\\gnuplot plotting config files\\gnuplot_linestyles_bw.gp'

set output 'Figure 7a   .pdf'

set key font ',16'
unset key

#yrange bounds
l_min = 0
l_max = 0.16

#y2range bounds
b_min = 0.4
b_max = 1.05


#scaling factor for y2 data
b_fact = (l_max-l_min)/(b_max-b_min)

set yrange [l_min:l_max]
set y2range [b_min:b_max]

set ylabel 'Birefringence'
set y2label 'Fractional change in length'

set ytics 0.02 nomirror
set y2tics 0.1 nomirror

#set xrange [0:1.5]
set xlabel 'Temperature [{\260}C]'

#Fitting curves to both data
f(x) = m_l*x + c_l
fit f(x) 'summary of data.txt' u 1:8 via m_l, c_l

g(x) = m_b*x + c_b
fit g(x) 'summary of data.txt' u 1:2 via m_b, c_b

#Modifying birefringence fit to fractional length scale
m_b = m_b*b_fact
c_b = (c_b-b_min)*b_fact+l_min

#setting arrows
set arrow from 200,0.12 rto graph 0.1,0 filled #length
set arrow from 150,0.06 rto graph -0.1,0 filled #birefringence

#set style line 1 ps 8 pt 2

plot g(x) ls 1 notitle,\
	'summary of data.txt' u 1:8:($9*5) with yerrorbars ls 1 notitle,\
	f(x) ls 1 notitle,\
	'summary of data.txt' u 1:(($2-b_min)*b_fact+l_min):(5*$3*(l_max-l_min)/(b_max-b_min)) with yerrorbars ls 2 dashtype 1 notitle,\
	
	
#pause -1